<?php

# must login page
# all php file in root directory: 
# index.php, login.php, register.php, profile.php, ticket_submit.php, ticket_detail.php, ticket_all
# knowledgebase.php, knowledgebase_detail.php, knowledgebase_src.php, news.php, news_detail.php
# pages below are must login pages
$config['must_login_page'] = array('ticket_all.php', 'profile.php');

# note: if in general setting we force user need to be registered then all pages are 'must login page'
# except these pages are always accessible for not logged in.
$config['not_must_login_page'] = array('login.php', 'register.php', 'index.php');

# required fields for user (register.php and profile.php)
$config['required_fields_user'] = array('email', 'first_name', 'last_name');

# default GMT time zone
$config['time_zone'] = 7;

# date format
$config['date_format1'] = "%B %d, %Y";
$config['date_format2'] = "%b %d, %Y";
$config['date_format3'] = "%b %d, %Y %I:%M %p";

# default staff page list
# all php file in /staff/ directory
$config['staff_default_page'] = array(''=>'', 'index.php'=>'Home', 'ticket_browse.php'=>'Browse Tickets', 'users.php'=>"Users");

# attachment file types list
# you may add this list, note the id must be unique
$config['attachment_files'] = array(
			array("id"=>"zip","name"=>".zip"),
			array("id"=>"tar","name"=>".tar"),
			array("id"=>"jpg","name"=>".jpg"),
			array("id"=>"jpeg","name"=>".jpeg"),
			array("id"=>"bmp","name"=>".bmp"),
			array("id"=>"gif","name"=>".gif"),
			array("id"=>"txt","name"=>".txt"),
			array("id"=>"rtf","name"=>".rtf"),
			array("id"=>"htm","name"=>".htm"),
			array("id"=>"html","name"=>".html"),
			array("id"=>"pdf","name"=>".pdf"),
			array("id"=>"doc","name"=>".doc"),
			array("id"=>"xls","name"=>".xls"),
			array("id"=>"docx","name"=>".docx"),
			array("id"=>"exe","name"=>".exe")
		);

# language files available		
$config['language_files'] = array(
			"general.php",
			"index.php",
			"knowledgebase.php",
			"login.php",
			"news.php",
			"profile.php",
			"register.php",
			"ticket_all.php",
			"ticket_detail.php",
			"ticket_submit.php",
			"ticket_view.php");
			
# allowed tag for htmlpurifier
$config['allowed_htmlpurifier'] = "font,span[style],p,b,strong,a[href],i,img[src],div[style],dl,dt,dd,table,th,tr,td,br";

?>